Name: quake2
Version: 0.3.0
Release: alt1

Summary: Quake II from ID Software
License: GPL
Group: Games/Arcade
URL: http://www.quakeforge.net/

BuildRequires: XFree86-devel libSDL-devel libGLU-devel libalsa-devel

Source0: %name-%version.tar.bz2
Source1: %name
Source2: %name-16.png
Source3: %name-32.png
Source4: %name-48.png
Source5: %{name}ctf-16.png
Source6: %{name}ctf-32.png
Source7: %{name}ctf-48.png

%description
Quake II

%prep
%define _optlevel 6

%add_optflags %optflags_kernel %optflags_notraceback %optflags_fastmath
%setup -q

%build

./bootstrap
%configure LDFLAGS="-L/usr/X11R6/lib" --prefix=/usr --libdir=%_libdir/games \
	   --datadir=%_datadir/games --with-alsa
%make_build

%install
%set_verify_elf_method textrel=relaxed

%makeinstall
%__mkdir_p %buildroot%_libdir/games
%__mv %buildroot%_libdir/%name %buildroot%_libdir/games
%__mv %buildroot%_datadir/%name/baseq2/config.cfg %buildroot%_libdir/games/%name/baseq2/
pushd %buildroot%_libdir/games/%name
find -type f | egrep '(\.la|\.a)' | xargs rm -f
%__mkdir %buildroot%_prefix/games
%__mv %buildroot%_bindir/%name %buildroot%_libdir/games/%name/%name.x86
%__install -pD -m755 %SOURCE1 %buildroot%_prefix/games/%name
%__install -pD -m644 %SOURCE2 %buildroot%_miconsdir/%name.png
%__install -pD -m644 %SOURCE5 %buildroot%_miconsdir/%{name}ctf.png
%__install -pD -m644 %SOURCE3 %buildroot%_iconsdir/%name.png
%__install -pD -m644 %SOURCE6 %buildroot%_iconsdir/%{name}ctf.png
%__install -pD -m644 %SOURCE4 %buildroot%_liconsdir/%name.png
%__install -pD -m644 %SOURCE7 %buildroot%_liconsdir/%{name}ctf.png

%__mkdir_p %buildroot%_menudir
cat <<__MENU__ >%buildroot%_menudir/%name.menu
?package(quake2): \
  needs=X11 \
  section=Games/Arcade \
  title="Quake II" \
  command="%prefix/games/%name" \
  icon="quake2.png"
?package(quake2): \
  needs=x11 \
  section=Games/Arcade \
  title="Quake II CTF" \
  command="%prefix/games/%name +set game ctf" \
  icon="quake2ctf.png"
EOF		    

%post
%update_menus

%postun
%clean_menus

%files
%_menudir/%name.menu
%_prefix/games/%name
%_libdir/games/%name
%_iconsdir/*.png
%_miconsdir/*.png
%_liconsdir/*.png

%changelog
* Wed Mar 31 2003 Kachalov Anton <mouse@altlinux.ru> 0.3.0-alt1
- build for Sisyphus
